MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
EncoderPlugin.hxx File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | EncoderPlugin

## Functions
static PreparedEncoder * | encoder_init (const EncoderPlugin &plugin, const ConfigBlock &block)
| Creates a new encoder object. More...

## Function Documentation

static PreparedEncoder* encoder_init | ( | const EncoderPlugin & | plugin,
|  | const ConfigBlock & | block
| ) |  |
| inline static

Creates a new encoder object.

Throws #std::runtime_error on error.

Parameters

  plugin | the encoder plugin

Definition at line 43 of file EncoderPlugin.hxx.